package com.blueland.bpm.engine.core.model;

import org.apache.commons.lang3.StringUtils;

import com.blueland.bpm.engine.util.WorkFlowException;
/**
 * 流程上下文
 * 
 * @version: 1.0
 * @author lw
 */
public class ProcessPageContext {
	private String openPageType;
	private String actionType;
	private String workflowPage;
	private String userId;
	private String userOrgId;
	
	
	public ProcessPageContext(String openPageType, String actionType,
			String workflowPage, String userId, String userOrgId) {
		super();
		this.openPageType = openPageType;
		this.actionType = actionType;
		this.workflowPage = workflowPage;
		if(StringUtils.isEmpty(userId)){
			throw new WorkFlowException(ExceptionErrorCode.B2001,"打开流程界面的userId不允许为空");
		}
		if(StringUtils.isEmpty(userOrgId)){
			throw new WorkFlowException(ExceptionErrorCode.B2001,"打开流程界面的userOrgId不允许为空");
		}
		this.userId = userId;
		this.userOrgId = userOrgId;
	}
	public String getOpenPageType() {
		return openPageType;
	}
	public void setOpenPageType(String openPageType) {
		this.openPageType = openPageType;
	}
	public String getActionType() {
		return actionType;
	}
	public void setActionType(String actionType) {
		this.actionType = actionType;
	}
	public String getWorkflowPage() {
		return workflowPage;
	}
	public void setWorkflowPage(String workflowPage) {
		this.workflowPage = workflowPage;
	}
	public String getUserId() {
		return userId;
	}
	public void setUserId(String userId) {
		this.userId = userId;
	}
	public String getUserOrgId() {
		return userOrgId;
	}
	public void setUserOrgId(String userOrgId) {
		this.userOrgId = userOrgId;
	}
	
	
	
}
